Package com.pixelmed.dicom

## Class SpatialCoordinateAndImageReference

- java.lang.Object
- - com.pixelmed.dicom.SpatialCoordinateAndImageReference

-     public class SpatialCoordinateAndImageReference
      extends java.lang.Object

  A class to encapsulate information describing references in a structured report to images, with or without spatial coordinates.

  See Also:
    `StructuredReport.findAllContainedSOPInstances(ContentItem,ContentItem)`

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `CoordinateCategoryMammoBreastDensity` |
    `static int` | `CoordinateCategoryMammoCalcificationCluster` |
    `static int` | `CoordinateCategoryMammoIndividualCalcification` |
    `static int` | `CoordinateCategoryUnspecified` |
    `static int` | `RenderingForbidden` |
    `static int` | `RenderingOptional` |
    `static int` | `RenderingRequired` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SpatialCoordinateAndImageReference​(java.lang.String sopInstanceUID, java.lang.String sopClassUID, java.lang.String graphicType, float[] graphicData, java.lang.String annotation, int renderingIntent, int coordinateCategory)` | Construct an instance of a reference to an image, with or without spatial coordinate references.
    `SpatialCoordinateAndImageReference​(java.lang.String sopInstanceUID, java.lang.String sopClassUID, java.lang.String graphicType, float[] graphicData, java.lang.String annotation, int renderingIntent, int coordinateCategory, boolean imageLibraryEntry)` | Construct an instance of a reference to an image, with or without spatial coordinate references.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getAnnotation()` | Get the annotation.
    `int` | `getCoordinateCategory()` | Get category.
    `float[]` | `getGraphicData()` | Get the Graphic Data.
    `java.lang.String` | `getGraphicType()` | Get the Graphic Type.
    `boolean` | `getImageLibraryEntry()` | Is the reference an Image Library entry.
    `int` | `getRenderingIntent()` | Get rendering intent.
    `java.lang.String` | `getSOPClassUID()` | Get the SOP Class UID.
    `java.lang.String` | `getSOPInstanceUID()` | Get the SOP Instance UID.
    `java.lang.String` | `toString()` | Dump a human-readable representation as a `String`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### RenderingRequired

          public static final int RenderingRequired

      See Also:
        Constant Field Values

    - #### RenderingOptional

          public static final int RenderingOptional

      See Also:
        Constant Field Values

    - #### RenderingForbidden

          public static final int RenderingForbidden

      See Also:
        Constant Field Values

    - #### CoordinateCategoryUnspecified

          public static final int CoordinateCategoryUnspecified

      See Also:
        Constant Field Values

    - #### CoordinateCategoryMammoIndividualCalcification

          public static final int CoordinateCategoryMammoIndividualCalcification

      See Also:
        Constant Field Values

    - #### CoordinateCategoryMammoCalcificationCluster

          public static final int CoordinateCategoryMammoCalcificationCluster

      See Also:
        Constant Field Values

    - #### CoordinateCategoryMammoBreastDensity

          public static final int CoordinateCategoryMammoBreastDensity

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SpatialCoordinateAndImageReference

          public SpatialCoordinateAndImageReference​(java.lang.String sopInstanceUID,
                                                    java.lang.String sopClassUID,
                                                    java.lang.String graphicType,
                                                    float[] graphicData,
                                                    java.lang.String annotation,
                                                    int renderingIntent,
                                                    int coordinateCategory,
                                                    boolean imageLibraryEntry)

      Construct an instance of a reference to an image, with or without spatial coordinate references.

      Parameters:
        `sopInstanceUID` - the SOP Instance UID (should always present)
        `sopClassUID` - the SOP Class UID (may be null)
        `graphicType` - the Graphic Type if a spatial coordinate, otherwise null
        `graphicData` - the Graphic Data if a spatial coordinate, otherwise null
        `annotation` - a `String` value describing the reference (typically a parent Concept Name)
        `renderingIntent` - whether or not to render the annotation (e.g., as specified by rendering intent in CAD IODs)
        `coordinateCategory` - the category of coordinate or annotation
        `imageLibraryEntry` - whether or not the reference is in an Image Library

    - #### SpatialCoordinateAndImageReference

          public SpatialCoordinateAndImageReference​(java.lang.String sopInstanceUID,
                                                    java.lang.String sopClassUID,
                                                    java.lang.String graphicType,
                                                    float[] graphicData,
                                                    java.lang.String annotation,
                                                    int renderingIntent,
                                                    int coordinateCategory)

      Construct an instance of a reference to an image, with or without spatial coordinate references.

      Parameters:
        `sopInstanceUID` - the SOP Instance UID (should always present)
        `sopClassUID` - the SOP Class UID (may be null)
        `graphicType` - the Graphic Type if a spatial coordinate, otherwise null
        `graphicData` - the Graphic Data if a spatial coordinate, otherwise null
        `annotation` - a `String` value describing the reference (typically a parent Concept Name)
        `renderingIntent` - whether or not to render the annotation (e.g., as specified by rendering intent in CAD IODs)
        `coordinateCategory` - the category of coordinate or annotation

  - ### Method Detail

    - #### getSOPInstanceUID

          public java.lang.String getSOPInstanceUID()

      Get the SOP Instance UID.

      Returns:
        the SOP Instance UID, or null

    - #### getSOPClassUID

          public java.lang.String getSOPClassUID()

      Get the SOP Class UID.

      Returns:
        the SOP Class UID, or null

    - #### getGraphicType

          public java.lang.String getGraphicType()

      Get the Graphic Type.

      Returns:
        the Graphic Type, or null

    - #### getGraphicData

          public float[] getGraphicData()

      Get the Graphic Data.

      Returns:
        the Graphic Data, or null

    - #### getAnnotation

          public java.lang.String getAnnotation()

      Get the annotation.

      Returns:
        the annotation

    - #### getRenderingIntent

          public int getRenderingIntent()

      Get rendering intent.

      Returns:
        values of SpatialCoordinateAndImageReference.RenderingRequired, SpatialCoordinateAndImageReference.RenderingOptional or SpatialCoordinateAndImageReference.RenderingForbidden

    - #### getImageLibraryEntry

          public boolean getImageLibraryEntry()

      Is the reference an Image Library entry.

      Returns:
        true if an Image Library entry

    - #### getCoordinateCategory

          public int getCoordinateCategory()

      Get category.

      Returns:
        category

    - #### toString

          public java.lang.String toString()

      Dump a human-readable representation as a `String`.

      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the annotation